import { NgPolandMapPoint, NgPolandMapRegion, Voivodeship } from './config';
import * as i0 from "@angular/core";
export declare class NgPolandMapComponent {
    svgWidth: number;
    svgHeight: number;
    bgColor: string;
    strokeWidth: number;
    strokeColor: string;
    highlightColor: string;
    pointColor: string;
    highlightedRegions: NgPolandMapRegion[] | undefined;
    highlightedCities: NgPolandMapPoint[] | undefined;
    regions: NgPolandMapRegion[];
    cities: NgPolandMapPoint[];
    constructor();
    ngOnInit(): void;
    regionFillColor(region: Voivodeship): string;
    longitudeToSvgX(longitude: number): number;
    latitudeToSvgY(latitude: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgPolandMapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgPolandMapComponent, "ng-poland-map", never, { "bgColor": { "alias": "bgColor"; "required": false; }; "strokeWidth": { "alias": "strokeWidth"; "required": false; }; "strokeColor": { "alias": "strokeColor"; "required": false; }; "highlightColor": { "alias": "highlightColor"; "required": false; }; "pointColor": { "alias": "pointColor"; "required": false; }; "highlightedRegions": { "alias": "highlightedRegions"; "required": false; }; "highlightedCities": { "alias": "highlightedCities"; "required": false; }; }, {}, never, never, true, never>;
}
