export type NgPolandMapPoint = {
    latitude: number;
    longitude: number;
    labelText: string;
};
export type NgPolandMapRegion = {
    path: string;
    labelPosX: number;
    labelPosY: number;
    labelText: string;
    voivodeship: Voivodeship;
};
export declare enum Voivodeship {
    'dolnośląskie' = "Dolno\u015Bl\u0105skie",
    'kujawsko-pomorskie' = "Kujawsko-pomorskie",
    'lubelskie' = "Lubelskie",
    'lubuskie' = "Lubuskie",
    'łódzkie' = "\u0141\u00F3dzkie",
    'małopolskie' = "Ma\u0142opolskie",
    'mazowieckie' = "Mazowieckie",
    'opolskie' = "Opolskie",
    'podkarpackie' = "Podkarpackie",
    'podlaskie' = "Podlaskie",
    'pomorskie' = "Pomorskie",
    'śląskie' = "\u015Al\u0105skie",
    'świętokrzyskie' = "\u015Awi\u0119tokrzyskie",
    'warmińsko-mazurskie' = "Warmi\u0144sko-mazurskie",
    'wielkopolskie' = "Wielkopolskie",
    'zachodniopomorskie' = "Zachodniopomorskie"
}
export declare enum City {
    'poznań' = 0,
    'zielona góra' = 1,
    'wrocław' = 2,
    'opole' = 3,
    'katowice' = 4,
    'kraków' = 5,
    'kielce' = 6,
    'łódź' = 7,
    'szczecin' = 8,
    'bydgoszcz' = 9,
    'toruń' = 10,
    'białystok' = 11,
    'olsztyn' = 12,
    'gdańsk' = 13,
    'lublin' = 14,
    'rzeszów' = 15,
    'warszawa' = 16,
    'gorzów wielkopolski' = 17
}
export declare const cityList: NgPolandMapPoint[];
export declare const regionList: NgPolandMapRegion[];
